import request from "@/utils/request";

/**
 * 获取基本信息
 * @returns {Promise}
 */
export function getNormalInfos() {
  return request({
    url: "/admin/normalInfos",    
    method: "get",
  });
}

/**
 * 保存基本信息
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveNormalInfos(data) {
  return request({
    url: "/admin/saveNormalInfos",
    method: "post",
    data: {
      data: JSON.stringify(data)
    },
  });
}

/**
 * 获取法律声明和隐私条款
 * @returns {Promise}
 */
export function getLegalInfos() {
  return request({
    url: "/admin/legalInfos",    
    method: "get",
  });
}

/**
 * 保存法律声明和隐私条款
 * @param {Object} data 要保存的数据
 * @returns {Promise}
 */
export function saveLegalInfos(data) {
  return request({
    url: "/admin/saveLegalInfos",
    method: "post",
    data: {
      data: JSON.stringify(data)
    },
  });
}
